PreAuth-PaymentToken
POST
/preauth-paymenttokenSubmits a payment transaction request using transaction type 5, a specific payment token ID, and AVS parameters.
Header Parameters
token*
stringBody Parameters
merchantAuthentication
merchantId
stringtransactionReferenceId
stringpreferences
eReceipt
booleancustomerName
stringcustomerEmail
stringcustomerMobile
stringrequestCardToken
booleantransactionRequest
amount
stringtransactionType
numberpaymentTokenId
stringapplySteamSettingTipFeeTax
booleanPOST/preauth-paymenttoken
1curl --location 'https://payment.ipospays.tech/api/v3/iposTransact' \
2--header 'token: ' \
3--header 'Content-Type: application/json' \
4--data '{
5 "merchantAuthentication": {
6 "merchantId": "123456789123",
7 "transactionReferenceId": "TXN000"
8 },
9 "preferences": {
10 "eReceipt": true,
11 "customerName": "John Doe",
12 "customerEmail": "test@example.com",
13 "customerMobile": "+14242424243",
14 "requestCardToken": true
15 },
16 "transactionRequest": {
17 "amount": "2500",
18 "transactionType": 5,
19 "paymentTokenId": "pay_tok_v3_998877",
20 "applySteamSettingTipFeeTax": false
21 }
22}'
Response
// Awaiting response…
Sample response
{
"iposhpresponse": {
"responseCode": "200",
"responseMessage": "success",
"errResponseCode": "",
"errResponseMessage": "",
"transactionReferenceId": "TXN1718000000123",
"transactionType": "5",
"transactionId": "TXID-88990011",
"amount": "2500",
"responseApprovalCode": "APP12345",
"rrn": "219313501821",
"transactionNumber": "4321",
"batchNumber": "123",
"customFee": "0",
"totalAmount": "2500"
}
}